Bug 125369 - Line break in tooltip doesn't work in Templates dialog (non-gtk3)
Summary: Line break in tooltip doesn't work in Templates dialog (non-gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Tooltip
  Show dependency treegraph
 
Reported: 2019-05-19 13:35 UTC by Roman Kuznetsov
Modified: 2019-05-21 10:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Tooltip from templates (46.96 KB, image/png)
2019-05-19 13:36 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-05-19 13:35:27 UTC
Description:
There isn't a space before word "Category" in tooltip in Templates dialog

Steps to Reproduce:
1. Open File->Templates->Manage Templates
2. Move mouse point on any template
3. See at tooltip
4. There isn't a space before word "Category"

Actual Results:
There isn't a space before word "Category"

Expected Results:
There is a space before word "Category"


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+ (x64)
Build ID: ccf3a0600ee902390ad6112ecf28223078bdd2db
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-13_03:08:59
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2019-05-19 13:36:13 UTC
Created attachment 151511 [details]
Tooltip from templates
Comment 2 Roman Kuznetsov 2019-05-19 13:39:13 UTC
I think need add /n that makes tooltip from two strings
Comment 3 V Stuart Foote 2019-05-19 13:59:46 UTC
Confirmed on Windows 10 Home 64-bit en-US with
Version: 6.3.0.0.alpha1+
Build ID: 31cc28ca7c02f28b64e9d757c9fc17e2a81ba352
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and local help installed.

or with
Version: 6.3.0.0.alpha1+ (x64)
Build ID: 3f5f67c68ae42cd14c08341b597e0331358a0d3f
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-19_01:20:17
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and no local help.

And here, toggling "Extended tips" does not affect the tooltip--contrasted to StartCenter which will wrap the tooltip onto multiple lines when extended tips is active.

So rather than a new line, just adding a white space to the sting would also be valid fix.
Comment 4 Maxim Monastirsky 2019-05-19 14:36:23 UTC
It used to work in the past (see Bug 101779).
Comment 5 raal 2019-05-20 11:09:54 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

commit 411ece644a894bb525fa165036078c34fc7c6509
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Mar 28 14:36:50 2019 -0700

    source sha:3e078e17ee2144fb976a7e6b9227152113cea0d4

author	Caolán McNamara <caolanm@redhat.com>	2019-03-26 16:27:17 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-28 22:07:06 +0100
commit 3e078e17ee2144fb976a7e6b9227152113cea0d4 (patch)
tree 01faab7d3c82c5b027b42a6722700736b249a775
parent 1e2868296730d3548574f61a3c6e323aa5c0598a (diff)
weld SfxTemplateManagerDlg
Comment 6 Commit Notification 2019-05-20 19:12:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d6d82d3f2b4a468e4ca432c964f0923ce289d862%5E%21

Resolves: tdf#125369 recover newline support of tdf#101779

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2019-05-20 19:14:13 UTC
for this drawingarea help thing, if there's a newline in the tooltip use Maxim's bubblehelp approach to do the right thing
Comment 8 Xisco Faulí 2019-05-21 10:00:28 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: 38ac0586448d4f07811b139f62f62686b029feba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!